openvasmd(8)

NAME
openvasmd - Manager daemon of the Open Vulnerability Assessment System (OpenVAS)

SYNOPSIS
openvasmd OPTIONS

DESCRIPTION
OpenVAS Scanner, openvassd(8), acts as a service and offers a communication protocol for its clients called OTP. The core task of the OpenVAS Scanner is the actual scan process. The OpenVAS Manager is a OTP client and adds various management functionalities to handle and organise scan results. Thus OpenVAS Manager acts as a layer between the OpenVAS Scanner and its own clients (for example omp(8), gsad(8) or gsd(8)) which connect via the OMP protocol to the OpenVAS Manager. A related service is OpenVAS Administrator, openvasad(8) which among other tasks also manages user accounts for OpenVAS.

OPTIONS

-a, --listen=ADDRESS
    Listen on ADDRESS.

-l, --slisten=ADDRESS
    Connect to server (openvassd) at address ADDRESS.

--max-email-attachment-size=SIZE
    Maximum number of bytes permitted in alert email attachments. 0 to use the default, negative to allow any size.

--max-email-include-size=SIZE
    Maximum number of bytes permitted in reports inlined in alert email attachments. 0 to use the default, negative to allow any size.

--max-ips-per-target=SIZE
    Maximum number of IPs per target.

-u, --update
    Updates the database with information from a running scanner (openvassd) and exits.

-p, --port=NUMBER
    Listen on port number NUMBER.

--rebuild
    Rebuild the database with information from a running scanner (openvassd) and exits.

-s, --sport=NUMBER
    Connect to server (openvassd) on port number NUMBER.

--version
    Print version.

-v, --verbose
    Print progress messages.

-?, --help
    Show help.

SIGNALS
SIGHUP causes openvasmd to rebuild the database with information from the Scanner (openvassd).

EXAMPLES
openvasmd --port 1241 --sport 7772 Serve OMP clients on port 1241 and connect to a OTP server on 7772.

SEE ALSO
openvassd(8) openvasad(8) gsad(8) omp(8) gsd(8)

MORE INFORMATION ABOUT THE OPENVAS PROJECT
The canonical places where you will find more information about the OpenVAS project are: http://www.openvas.org/ (Official site) http://wald.intevation.org/projects/openvas/ (Development Platform)

COPYRIGHT
The OpenVAS Manager is released under the GNU GPL, version 2, or, at your option, any later version.